Subject: [Netconf] Extended deadline July 10 WAS:FW: WG Last Call for draft-ietf-netconf-call-home-07

From: "Ersue, Mehmet (Nokia - DE/Munich)" <[email-masked]>
Date: Sun, 5 Jul 2015 09:42:19 +0000

Dear Netconf WG,

we had so far only one review and one support statement on the Call Home draft.
A thorough review is necessary before we can decide on the next steps.

With this mail I would like to extend the WGLC deadline until July 10, 2015 EOB PT.

Please review the Call Home draft and provide your comments to Netconf maillist.
Please state as a minimum whether you support to publish the document.

Mehmet

From: Netconf [mailto:[email-masked]] On Behalf Of ext Mahesh Jethanandani
Sent: Friday, June 26, 2015 7:21 AM
To: Netconf
Subject: [Netconf] WG Last Call for draft-ietf-netconf-call-home-07

Dear NETCONF participants,

This e-mail is a notification to start a NETCONF WG Last Call for the document "NETCONF Call Home and RESTCONF Call Home”.

The document can be found at: draft-ietf-netconf-call-home-07<https://tools.ietf.org/html/draft-ietf-netconf-call-home-07>.

Please review the document, provide comments, and indicate your support for the draft by Friday July 3 (your timezone). The comments can be in the form of:

  *   “I have reviewed the I-D Blah and I have found issues with it”
  *   “I have reviewed I-D Blah and I found no issues”

Simultaneously, the author on this draft should state to the mailing list whether there is any IPR associated with this draft or not.

Thanks

Mahesh and Mehmet
(Co-chairs, NETCONF WG)

---

From: Andy Bierman <[email-masked]>
Date: Mon, 6 Jul 2015 18:50:13 -0700

Hi,

I have reviewed the call home draft and I think it is done.
It should be forwarded to the IESG for publication.

Andy

On Sun, Jul 5, 2015 at 2:42 AM, Ersue, Mehmet (Nokia - DE/Munich) <
[email-masked]> wrote:

> *From:* Netconf [mailto:[email-masked]] *On Behalf Of *ext
> Mahesh Jethanandani
> *Sent:* Friday, June 26, 2015 7:21 AM
> *To:* Netconf
> *Subject:* [Netconf] WG Last Call for draft-ietf-netconf-call-home-07
>
>
>
> This e-mail is a notification to start a NETCONF WG Last Call for the
> document "NETCONF Call Home and RESTCONF Call Home”.
>
>
> The document can be found at: draft-ietf-netconf-call-home-07
> <https://tools.ietf.org/html/draft-ietf-netconf-call-home-07>.
>
>
>
> Please review the document, provide comments, and indicate your support
> for the draft by Friday July 3 (your timezone). The comments can be in the
> form of:
>
>
>
>    - “I have reviewed the I-D Blah and I have found issues with it”
>    - “I have reviewed I-D Blah and I found no issues”
>
>
>
> Simultaneously, the author on this draft should state to the mailing list
> whether there is any IPR associated with this draft or not.
>
>
>
> Thanks
>
>
> Mahesh and Mehmet
>
> (Co-chairs, NETCONF WG)
>
>
>
>
>
>
>
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>
>

---

From: Benoit Claise <[email-masked]>
Date: Tue, 7 Jul 2015 18:27:51 +0200

Dear authors,

-

      1.4
      <https://tools.ietf.org/html/draft-ietf-netconf-call-home-08#section-1.4>.
      Update to RFC 4253 <https://tools.ietf.org/html/rfc4253>

    This document updates the SSH Transport Layer Protocol [RFC4253 <https://tools.ietf.org/html/rfc4253>] only
    in removing the statement "The client initiates the connection" made
    inSection 4 
<https://tools.ietf.org/html/draft-ietf-netconf-call-home-08#section-4>  (Connection Setup).  Assuming the reference to client
    means "SSH client" and the reference to connection means "TCP
    connection", this statement doesn't hold true in call home, where the
    network element is the SSH server and yet still initiates the TCP
    connection.  Security implications related to this change are
    discussed in Security Considerations (Section 4 
<https://tools.ietf.org/html/draft-ietf-netconf-call-home-08#section-4>).

 From idnits:

   Checking nits according to http://www.ietf.org/id-info/checklist :
   ----------------------------------------------------------------------------

   -- The draft header indicates that this document updates RFC4253, but the
      abstract doesn't seem to mention this, which it should.
   Miscellaneous warnings:
   ----------------------------------------------------------------------------

      (Using the creation date from RFC4253, updated by this document, for
      RFC5378 checks: 2005-03-16)

   -- The document seems to lack a disclaimer for pre-RFC5378 work, but may
      have content which was first submitted before 10 November 2008.  If you
      have contacted all the original authors and they are all willing to grant
      the BCP78 rights to the IETF Trust, then this is fine, and you can ignore
      this comment.  If not, you may need to add the pre-RFC5378 disclaimer.
      (See the Legal Provisions document at
      http://trustee.ietf.org/license-info for more information.)

All of the above is around the RFC 4253 
<https://tools.ietf.org/html/rfc4253>update ... but actually, do you 
update RFC 4253? <https://tools.ietf.org/html/rfc4253>
If you update it (remove "The client initiates the connection"), then 
this is for all SSH users, and we should check with everybody.
I guess that what you want to say is something such as:

    This document uses the SSH Transport Layer Protocol [RFC4253 <https://tools.ietf.org/html/rfc4253>] with the
    exception that the statement "The client initiates the connection" made
    inSection 4 
<https://tools.ietf.org/html/draft-ietf-netconf-call-home-08#section-4>  (Connection Setup) does not apply.  Assuming the reference
    to client means "SSH client" and the reference to connection means "TCP
    connection", this statement doesn't hold true in call home, where the
    network element is the SSH server and yet still initiates the TCP
    connection.  Security implications related to this change are
    discussed in Security Considerations (Section 4 
<https://tools.ietf.org/html/draft-ietf-netconf-call-home-08#section-4>).

And then you don't update RFC 4253.

- draft-ietf-netconf-rfc5539bis is now RFC 7589

Regards, Benoit
> *From:*Netconf [mailto:[email-masked]] *On Behalf Of *ext 
> Mahesh Jethanandani
> Please review the document, provide comments, and indicate your 
> support for the draft by Friday July 3 (your timezone). The comments 
> can be in the form of:
>
> Simultaneously, the author on this draft should state to the mailing 
> list whether there is any IPR associated with this draft or not.
>
> Thanks
>
>
> Mahesh and Mehmet
>
> (Co-chairs, NETCONF WG)
>
>
>

---

From: Kent Watsen <[email-masked]>
Date: Fri, 10 Jul 2015 21:35:23 +0000

Hi Benoit,

Thank you for your review.   I agree that this draft does not truly update RFC4253, and I like your suggested text.  I will put the needed changes into the next update to the draft.   And I'll also replace-all draft-ietf-netconf-rfc5539bis with RFC7589.

Thanks again,
Kent

From: Benoit Claise <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, July 7, 2015 at 12:27 PM
To: "Ersue, Mehmet (Nokia - DE/Munich)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: 'Barry Leiba' <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Netconf] Extended deadline July 10 WAS:FW: WG Last Call for draft-ietf-netconf-call-home-07

Dear authors,

-

1.4<https://tools.ietf.org/html/draft-ietf-netconf-call-home-08#section-1.4>.  Update to RFC 4253<https://tools.ietf.org/html/rfc4253>

   This document updates the SSH Transport Layer Protocol [RFC4253<https://tools.ietf.org/html/rfc4253>] only
   in removing the statement "The client initiates the connection" made
   in Section 4<https://tools.ietf.org/html/draft-ietf-netconf-call-home-08#section-4> (Connection Setup).  Assuming the reference to client
   means "SSH client" and the reference to connection means "TCP
   connection", this statement doesn't hold true in call home, where the
   network element is the SSH server and yet still initiates the TCP
   connection.  Security implications related to this change are
   discussed in Security Considerations (Section 4<https://tools.ietf.org/html/draft-ietf-netconf-call-home-08#section-4>).

All of the above is around the RFC 4253 <https://tools.ietf.org/html/rfc4253> update ... but actually, do you update RFC 4253?<https://tools.ietf.org/html/rfc4253>
If you update it (remove "The client initiates the connection"), then this is for all SSH users, and we should check with everybody.
I guess that what you want to say is something such as:

   This document uses the SSH Transport Layer Protocol [RFC4253<https://tools.ietf.org/html/rfc4253>] with the
   exception that the statement "The client initiates the connection" made
   in Section 4<https://tools.ietf.org/html/draft-ietf-netconf-call-home-08#section-4> (Connection Setup) does not apply.  Assuming the reference
   to client means "SSH client" and the reference to connection means "TCP
   connection", this statement doesn't hold true in call home, where the
   network element is the SSH server and yet still initiates the TCP
   connection.  Security implications related to this change are
   discussed in Security Considerations (Section 4<https://tools.ietf.org/html/draft-ietf-netconf-call-home-08#section-4>).

Regards, Benoit
Dear Netconf WG,

Mehmet

This e-mail is a notification to start a NETCONF WG Last Call for the document "NETCONF Call Home and RESTCONF Call Home".

  *   "I have reviewed the I-D Blah and I have found issues with it"
  *   "I have reviewed I-D Blah and I found no issues"

Thanks

Mahesh and Mehmet
(Co-chairs, NETCONF WG)

_______________________________________________
Netconf mailing list
[email-masked]<mailto:[email-masked]>https://www.ietf.org/mailman/listinfo/netconf

---

From: "Ersue, Mehmet (Nokia - DE/Munich)" <[email-masked]>
Date: Sat, 11 Jul 2015 11:03:42 +0000

Hi Kent,

it looks the WGLC was successful.

I think once the draft update is available we can start the IESG publication machinery.

Mehmet

From: ext Kent Watsen [mailto:[email-masked]]
Sent: Friday, July 10, 2015 11:35 PM
To: Benoit Claise; Ersue, Mehmet (Nokia - DE/Munich); [email-masked]
Cc: 'Barry Leiba'
Subject: Re: [Netconf] Extended deadline July 10 WAS:FW: WG Last Call for draft-ietf-netconf-call-home-07

Hi Benoit,

Thanks again,
Kent

Dear authors,

-

  Miscellaneous warnings:

Regards, Benoit
Dear Netconf WG,

Mehmet

?         "I have reviewed the I-D Blah and I have found issues with it"
?         "I have reviewed I-D Blah and I found no issues"

Thanks

Mahesh and Mehmet
(Co-chairs, NETCONF WG)

Netconf mailing list

---

From: Kent Watsen <[email-masked]>
Date: Mon, 13 Jul 2015 20:03:06 +0000

Hi Mehmet,

Indeed, and I can post the update on or about Sunday, when the submissions are allowed again.

Cheers,
Kent

From: <Ersue>, "Mehmet (Nokia - DE/Munich)" <[email-masked]<mailto:[email-masked]>>
Date: Saturday, July 11, 2015 at 7:03 AM
To: Kent Watsen <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: Benoit Claise <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Netconf] Extended deadline July 10 WAS:FW: WG Last Call for draft-ietf-netconf-call-home-07

Hi Kent,

Mehmet

From: ext Kent Watsen [mailto:[email-masked]]
Sent: Friday, July 10, 2015 11:35 PM
To: Benoit Claise; Ersue, Mehmet (Nokia - DE/Munich); [email-masked]<mailto:[email-masked]>
Cc: 'Barry Leiba'
Subject: Re: [Netconf] Extended deadline July 10 WAS:FW: WG Last Call for draft-ietf-netconf-call-home-07

Hi Benoit,

Thanks again,
Kent

Dear authors,

-

  Miscellaneous warnings:

Regards, Benoit
Dear Netconf WG,

Mehmet

Thanks

Mahesh and Mehmet
(Co-chairs, NETCONF WG)

Netconf mailing list